/**
 * XActClassDocumentEntryAct.java
 *
 * File generated from the medication::XActClassDocumentEntryAct uml Enumeration
 * Generated by IHE - europe, gazelle team
 */
package net.ihe.gazelle.medication;

import javax.xml.bind.annotation.XmlEnum;
import javax.xml.bind.annotation.XmlEnumValue;
import javax.xml.bind.annotation.XmlRootElement;
import javax.xml.bind.annotation.XmlType;
/**
 * Description of the enumeration XActClassDocumentEntryAct.
 *
 * 
 */

@XmlType(name = "XActClassDocumentEntryAct")
@XmlEnum
@XmlRootElement(name = "XActClassDocumentEntryAct")
public enum XActClassDocumentEntryAct {
	@XmlEnumValue("ACT")
	ACT("ACT"),
	@XmlEnumValue("ACCM")
	ACCM("ACCM"),
	@XmlEnumValue("CONS")
	CONS("CONS"),
	@XmlEnumValue("CTTEVENT")
	CTTEVENT("CTTEVENT"),
	@XmlEnumValue("INC")
	INC("INC"),
	@XmlEnumValue("INFRM")
	INFRM("INFRM"),
	@XmlEnumValue("PCPR")
	PCPR("PCPR"),
	@XmlEnumValue("REG")
	REG("REG"),
	@XmlEnumValue("SPCTRT")
	SPCTRT("SPCTRT");
	
	private final String value;

    XActClassDocumentEntryAct(String v) {
        value = v;
    }
    
     public String value() {
        return value;
    }

    public static XActClassDocumentEntryAct fromValue(String v) {
        for (XActClassDocumentEntryAct c: XActClassDocumentEntryAct.values()) {
            if (c.value.equals(v)) {
                return c;
            }
        }
        throw new IllegalArgumentException(v);
    }
	
}